%global major_version 3.2
%global api_version 3.2

Name:           epiphany-extensions
Version:        %{major_version}.0
Release:        1%{?dist}.1
Summary:        Extensions for Epiphany, the GNOME web browser
# Documentation is GFDL
License:        GPLv2+ and GFDL
URL:            http://www.gnome.org/projects/epiphany/extensions
Source0:        http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/%{major_version}/%{name}-%{version}.tar.xz

BuildRequires:  dbus-glib-devel
BuildRequires:  epiphany-devel >= 3.2.0
BuildRequires:  intltool
BuildRequires:  opensp-devel
BuildRequires:  rarian-compat
Requires:       epiphany

%description
Epiphany Extensions is a collection of extensions for Epiphany, the GNOME web
browser.


%prep
%setup -q


%build
%configure \
  --disable-static \
  --with-extensions=default
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{find_lang} %{name}-%{api_version}


%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%post
if [ $1 -eq 1 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%files -f %{name}-%{api_version}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.README NEWS README TODO
%{_datadir}/epiphany/icons/hicolor/*/status/*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/
# As long as RHBZ bug #743433 is not solved, epiphany-extensions will own this
# folder
%{_libdir}/epiphany/%{api_version}/


%changelog
* Mon Oct 10 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.2.0-1.1
- Rebuild

* Sat Oct 08 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.2.0-1
- Update to 3.2.0

* Mon Apr 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Thu Mar 24 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.91.92-1
- Update to 2.91.92

* Tue Mar 15 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> 2.91.90-1
- Update to 2.91.90
- Spec cleanup
